get
/v1/zones/{zone_id}Get zone
Get details of a specific DNS zone
Path Parameters
zone_id
string<uuid>requiredpath
DNS Zone ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Responses
200
Zone details
Content-Type: application/json
zone
objectoptional401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/zones/550e8400-e29b-41d4-a716-446655440000" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
Zone details
{"zone": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:spo1:dns:zone:550e8400-e29b-41d4-a716-446655440000","name": "example.com.","description": "Main domain zone","status": "ACTIVE","action": "NONE","type": "PRIMARY","email": "admin@example.com","ttl": 3600,"serial": 2024011501,"pool_id": "550e8400-e29b-41d4-a716-446655440000","masters": ["string"],"attributes": {},"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}